//
// Copyright (c) Microsoft. All rights reserved.
// See https://aka.ms/azai/vision/license for the full license information.
//

#pragma once
#include <vision_api_cxx_common.h>

namespace Azure {
namespace AI {
namespace Vision {
namespace ImageAnalysis {
namespace Details {

/*! \cond PRIVATE */

/// <summary>
/// A direct mapping of the core property "result.reason" enumeration into C#. This is merged with the core "session.stopped.reason"
/// for simplification in the public Image Analysis surface.
/// </summary>
/// <remarks>
/// Enum names and values here should be a subset of the ones defined in vision_api_cxx_session_result_reason.h.
/// </remarks>
enum class ImageAnalysisCoreResultReason
{
    /// <summary>
    /// Indicates the requested operation was stopped. Not supported at the moment.
    /// </summary>
    Stopped = 1,

    /// <summary>
    /// Indicates that Image Analysis results are available.
    /// </summary>
    Analyzed = 2
};

/*! \endcond */

}}}}} // Azure::AI::Vision::ImageAnalysis::Details
