//
// Copyright (c) Microsoft. All rights reserved.
// See https://aka.ms/azai/vision/license for the full license information.
//

#pragma once
#include <vision_api_cxx_common.h>

namespace Azure {
namespace AI {
namespace Vision {
namespace ImageAnalysis {
namespace Details {

/*! \cond PRIVATE */

/// <summary>
/// A direct mapping of the core property "session.stopped.reason" enumeration into C#. This is merged with the core "result.reason"
/// for simplification in the public Image Analysis surface.
/// This is a subset of the values in vision_api_cxx_session_stopped_reason.h.
/// </summary>
/// <remarks>
/// Enum names and values here should be a subset of the ones defined in vision_api_cxx_session_stopped_reason.h.
/// </remarks>
enum class ImageAnalysisCoreStopReason
{
    /// <summary>
    /// An error occurred.
    /// </summary>
    Error = -1,
};

/*! \endcond */

}}}}} // Azure::AI::Vision::ImageAnalysis::Details
