//
// Copyright (c) Microsoft. All rights reserved.
// See https://aka.ms/azai/vision/license for the full license information.
//

#pragma once
#include <azac_api_cxx_details_property_collection.h>
#include <vision_api_cxx_common.h>
#include <vision_api_cxx_image_analyzer_property.h>

namespace Azure {
namespace AI {
namespace Vision {
namespace ImageAnalysis {

/// <summary>
/// Represents the properties that can be dynamically updated on a given ImageAnalyzer instance
/// </summary>
class ImageAnalyzerProperties : private AI::Core::Details::PropertyCollectionBase<ImageAnalysis::ImageAnalyzerProperty>
{
private:
    template<typename Target>
    using ProtectedAccess = Azure::AI::Core::Details::ProtectedAccess<Target>;
    using PropertyCollection = AI::Core::Details::PropertyCollectionBase<ImageAnalysis::ImageAnalyzerProperty>;

public:
    using PropertyCollection::Set;
    using PropertyCollection::Get;

protected:
     /*! \cond PROTECTED */
    ImageAnalyzerProperties(AZAC_HANDLE handle) : PropertyCollection(handle) {}
    explicit operator AZAC_HANDLE() { return ProtectedAccess<PropertyCollection>::HandleFromPtr(this); }
    /*! \endcond */
};

} } } } // Azure::AI::Vision::ImageAnalysis
